<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <title>Gym</title>
  </head>
  <body>
    <div class="container mt-5" id="app">
        <h3>{{titulo}}</h3>
        <input type="text" class="form-control mt-3" v-model="nuevaTarea"  v-on:keyup.enter="agregarTarea" >
        <button class="btn btn-primary" @click="agregarTarea">Agregar</button>
        <div class="mt-3" v-for="(item, index) of tareas">
          
          <div role="alert" :class="['alert', item.estado ? 'alert-success':'alert-danger']">
              <div class="d-flex justify-content-between align-items-center">
                <div>
                  {{index}}-{{item.nombre}}-{{item.estado}}
                </div>
                <div>
                  <button class="btn btn-success btn-sm" @click="editarTarea(index)">ok</button>
                  <button class="btn btn-danger btn-sm" @click="eliminarTarea(index)">x</button>
                </div>
              </div>
          </div>
        </div>
  </div>   
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="app.js"></script>
</body>
</html>